Page MenuHomePhabricator

nodemap: write nodemap data on disk
ClosedPublic

Authored by marmoute on Jan 11 2020, 12:03 PM.

Details

Summary

Let us start writing data on disk (so that we can read it from there later).
This series of changeset is going to focus first on having data on disk and
updating it.

Right now the data is written right next to the revlog data, in the store. We
might move it to cache (with proper cache validation mechanism) later, but for
now revlog have a storevfs instance and it is simpler to us it. The right
location for this data is not the focus of this series.

Diff Detail

Repository
rHG Mercurial
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

marmoute created this revision.Jan 11 2020, 12:03 PM
marmoute updated this revision to Diff 19172.Jan 13 2020, 10:06 AM
marmoute updated this revision to Diff 19185.Jan 13 2020, 1:04 PM
marmoute updated this revision to Diff 19425.Jan 17 2020, 1:05 PM
martinvonz added inline comments.
mercurial/revlogutils/nodemap.py
42

need b'' here and below for py3?

49

and here? this is a series that introduced a lot of new code, so try running all (previously passing) py3 test at least at the end of the series

martinvonz added inline comments.Jan 23 2020, 1:54 PM
mercurial/revlogutils/nodemap.py
50–51

Actually, does revlog.opener.write(revlog.nodemap_file, data) work?

martinvonz added inline comments.Jan 23 2020, 4:14 PM
mercurial/revlogutils/nodemap.py
42

not needed here, it seems, because ProgrammingError converts it for us

marmoute added inline comments.Jan 31 2020, 4:24 AM
mercurial/revlogutils/nodemap.py
49

If you can taje the series starting at D8011, if would help me to make sure all angles are covered.

50–51

probably, but we will need the context manager approach later in the series so I don't think it is worth updating.

marmoute updated this revision to Diff 19751.Jan 31 2020, 10:28 AM
marmoute updated this revision to Diff 19780.Jan 31 2020, 2:43 PM
marmoute updated this revision to Diff 19825.Feb 2 2020, 3:17 AM

small doc update on .#s[1]

marmoute updated this revision to Diff 19883.Feb 4 2020, 7:23 PM

rebase to latest default

marmoute updated this revision to Diff 20016.Feb 7 2020, 5:28 PM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.